Package com.logicaldoc.core.folder

# Class FolderValidator

java.lang.Object
com.logicaldoc.core.metadata.validation.Validator
com.logicaldoc.core.folder.FolderValidator

All Implemented Interfaces:
  `FolderListener`

public class FolderValidator extends Validator implements FolderListener
This listener takes care of logically validate a folder. If the document has a template and the template declares a validation script, it is executed

Since:
  8.8.1
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`FolderValidator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary)`
Called after a folder is stored in the database
`void`
`beforeStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary)`
Called before a folder is stored in the database

### Methods inherited from class com.logicaldoc.core.metadata.validation.Validator

`validate`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FolderValidator

public FolderValidator()

## Method Details

### beforeStore

public void beforeStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary) throws PersistenceException
Description copied from interface: `FolderListener`
Called before a folder is stored in the database

Specified by:
  `beforeStore` in interface `FolderListener`
Parameters:
  `folder` - The folder to be stored
  `transaction` - Transaction informations
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - raised if something went wrong

### afterStore

public void afterStore(Folder folder, FolderHistory transaction, Map<String,Object> dictionary) throws PersistenceException
Description copied from interface: `FolderListener`
Called after a folder is stored in the database

Specified by:
  `afterStore` in interface `FolderListener`
Parameters:
  `folder` - The folder to be stored
  `transaction` - Transaction informations
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - raised if something went wrong